"""utilities module for `anndash`"""

# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/04_util.ipynb.

# %% auto 0
__all__ = ['rescale_points', 'blank_colors', 'color_categories']

# %% ../nbs/04_util.ipynb 4
from inspect import getmembers, isfunction, ismethod

import numpy as np, pandas as pd

try: from sklearn.preprocessing import MinMaxScaler
except ImportError: ...

# %% ../nbs/04_util.ipynb 5
def rescale_points(points: np.ndarray, scaler: MinMaxScaler | None = None):
    scaler = scaler or MinMaxScaler()
    scaler.fit(points)
    return scaler.transform(points)

def blank_colors(data: np.ndarray, colors: np.ndarray | pd.Series | None = None):
    return colors or np.zeros(data.shape[0])

def color_categories(colors: np.ndarray | pd.Series):
    color_map, categories = pd.factorize(colors, sort=True)
    return color_map, categories
